FLANG

Public Member Functions | Static Public Member Functions | List of all members
Fortran::common::BitSet< BITS > Class Template Reference

## Public Member Functions
constexpr | BitSet (const std::initializer_list< int > &xs)
constexpr | BitSet (const BitSet &)=default
constexpr | BitSet (BitSet &&)=default
constexpr BitSet & | operator= (const BitSet &)=default
constexpr BitSet & | operator= (BitSet &&)=default
constexpr BitSet & | operator&= (const BitSet &that)
constexpr BitSet & | operator&= (BitSet &&that)
constexpr BitSet & | operator^= (const BitSet &that)
constexpr BitSet & | operator^= (BitSet &&that)
constexpr BitSet & | operator|= (const BitSet &that)
constexpr BitSet & | operator|= (BitSet &&that)
constexpr BitSet | operator~ () const
constexpr BitSet | operator& (const BitSet &that) const
constexpr BitSet | operator& (BitSet &&that) const
constexpr BitSet | operator^ (const BitSet &that) const
constexpr BitSet | operator^ (BitSet &&that) const
constexpr BitSet | operator| (const BitSet &that) const
constexpr BitSet | operator| (BitSet &&that) const
constexpr bool | operator== (const BitSet &that) const
constexpr bool | operator== (BitSet &&that) const
constexpr bool | operator!= (const BitSet &that) const
constexpr bool | operator!= (BitSet &&that) const
constexpr bool | test (std::size_t x) const
constexpr bool | all () const
constexpr bool | any () const
constexpr bool | none () const
constexpr std::size_t | count () const
constexpr BitSet & | set ()
constexpr BitSet | set (std::size_t x, bool value=true)
constexpr BitSet & | reset ()
constexpr BitSet & | reset (std::size_t x)
constexpr BitSet & | flip ()
constexpr BitSet & | flip (std::size_t x)
constexpr std::optional< std::size_t > | LeastElement () const
Word | bits () const

## Static Public Member Functions
static constexpr std::size_t | size ()

The documentation for this class was generated from the following file:

- include/flang/Common/constexpr-bitset.h